//---------------------------------------------------------------//
// Styles de base pour le formulaire d'ajout d'article
//---------------------------------------------------------------//

section.ajout-article {
  display: flex;
}

.formulaire-ajout-article {
  background: $color-bg-article;

  margin: 20px auto 40px;


  fieldset {
    border: 0;

    width: 300px;

    margin-top: 40px;


    legend {
      background-color: $color-button;

      text-align: center;

      padding: 20px 100px;
    }

    ol {
      list-style: none;

      padding: 0;


      li {
        display: flex;
        flex-direction: column;

        margin-bottom: 20px;


        label {
          color: $white;
          margin-bottom: 20px;
        }
      }
    }
  }

  fieldset.btn-enregistrerArticle {
    margin: 0 auto 20px;
  }

  input[type='file'] {
    border: 1px solid $gray-700;

    background-color: $gray-200;

    padding: 0;
  }

  input[type='submit'] {
    border: 1px solid $gray-700;
    border-radius: 25px;

    background-color: $color-button;
    color: $color-text-normal;

    padding: 5px 20px;
    margin-top: 20px;
  }
}


//---------------------------------------------------------------//
// Medias queries
//---------------------------------------------------------------//

@media screen and(min-width: $vw-medium) {
  form.formulaire-ajout-article {
    fieldset {
      width: 800px;
    }
  }
}

@media screen and(min-width: $vw-large) {
  form.formulaire-ajout-article {
    fieldset {
      width: 1000px;
    }
  }
}
